Cone3D Class Reference

3D cone class (based on QwtPlot3D) More...

`#include <Cone3D.h>`

Inheritance diagram for Cone3D:

## Public Member Functions

Qwt3D::Enrichment * | clone () const
| Cone3D ()
| Cone3D (double rad, unsigned quality)
void | configure (double rad, unsigned quality)
void | draw (Qwt3D::Triple const &)
| ~Cone3D ()

## Private Attributes

GLUquadricObj * | disk
GLUquadricObj * | hat
GLboolean | oldstate_
unsigned | quality_
double | radius_

## Detailed Description

3D cone class (based on QwtPlot3D)

## Constructor & Destructor Documentation

## Cone3D() [1/2]

Cone3D::Cone3D | ( |  | ) |

Referenced by clone().

## Cone3D() [2/2]

Cone3D::Cone3D | ( | double | rad,
|  | unsigned | quality
| ) |  |

## ~Cone3D()

Cone3D::~Cone3D | ( |  | ) |

## Member Function Documentation

## clone()

Qwt3D::Enrichment* Cone3D::clone | ( |  | ) | const

inline

References Cone3D(), configure(), and draw().

## configure()

void Cone3D::configure | ( | double | rad,
|  | unsigned | quality
| ) |  |

Referenced by clone().

## draw()

void Cone3D::draw | ( | Qwt3D::Triple const & | pos | ) |

Referenced by clone().

## Member Data Documentation

## disk

GLUquadricObj* Cone3D::disk

private

## hat

GLUquadricObj* Cone3D::hat

private

## oldstate_

GLboolean Cone3D::oldstate_

private

## quality_

unsigned Cone3D::quality_

private

## radius_

double Cone3D::radius_

private

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/Cone3D.h
- qtiplot/src/plot3D/Cone3D.cpp